{% extends 'base.html.twig' %}

{% block title %}Book index{% endblock %}

{% block body %}
    <div class="d-flex justify-content-between mb-3 mt-3">
        <h3>Books</h3>
        <div>
            <a class="btn btn-success" href="{{ path('book_new') }}">Create new</a>
            <a class="btn btn-info" href="{{ path('author_index') }}">Authors</a>
        </div>
    </div>
    <table class="table text-center">
        <thead>
        <tr class="d-flex">
            <th scope="col" class="col-1 text-center">Id</th>
            <th scope="col" class="col-4 text-center">Title</th>
            <th scope="col" class="col-5 text-center">Authors</th>
            <th scope="col" class="col-2 text-center">actions</th>
        </tr>
        </thead>
        <tbody>
        {% for book in books %}
            <tr class="d-flex">
                <td class="col-1">{{ book.id }}</td>
                <td class="col-4">{{ book.title }}</td>
                <td class="col-5">
                    {% for author in book.authors %}
                        {{ author.fullname }}
                    {% endfor %}
                </td>
                <td class="col-2">
                    <a class="btn btn-info" href="{{ path('book_show', {'id': book.id}) }}">show</a>
                    <a class="btn btn-warning" href="{{ path('book_edit', {'id': book.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    <div class="navigation d-flex justify-content-center">
        {{ knp_pagination_render(books) }}
    </div>
{% endblock %}
